Lavalite package that provides sitecm management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `sitecms/sitecm`.

    "sitecms/sitecm": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Sitecms\Sitecm\Providers\SitecmServiceProvider::class,

And also add it to alias

    'Sitecm'  => Sitecms\Sitecm\Facades\Sitecm::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Sitecms\\SitecmTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Sitecms\Sitecm\Providers\SitecmServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Sitecms\Sitecm\Providers\SitecmServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Sitecms\Sitecm\Providers\SitecmServiceProvider" --tag="view"


## Usage


